{"swagger":"2.0","info":{"description":"911 Riyadh IRMS | CAD RestAPI is a service used to send data from external systems to the HxGN OnCall Dispatch system (IRMS). The CAD Notification Service (provided seperately) sends data from the OnCall Dispatch system to external systems.","version":"10.0.2012.524","title":"911 Riyadh IRMS | RestAPI"},"basePath":"//api","tags":[{"name":"Event","description":"Query AgencyEvent data"},{"name":"Event Commands","description":"Manipulate AgencyEvent data"},{"name":"Event Comments","description":"Manipulate Event Comments"}],"paths":{"/v1/Event":{"get":{"tags":["Event"],"summary":"Returns a information on all open AgencyEvents","description":"Returns a array containing brief information about all open events. ","operationId":"getAllAgencyEvents","produces":["application/json"],"parameters":[{"name":"CommonEventId","in":"query","description":"Filter AgencyEvents to only events linked to this CommonEventId","required":false,"type":"integer"},{"name":"AgencyId","in":"query","description":"Filter AgencyEvents to only events in this AgencyId","required":false,"type":"string"},{"name":"DispatchGroup","in":"query","description":"Filter AgencyEvents to only events in this DispatchGroup","required":false,"type":"string"},{"name":"EventType","in":"query","description":"Filter AgencyEvents to only events with this Type","required":false,"type":"string"},{"name":"EventSubType","in":"query","description":"Filter AgencyEvents to only events with this SubType","required":false,"type":"string"},{"name":"IncludeClosed","in":"query","description":"Include events that have been closed","required":false,"type":"boolean"}],"responses":{"200":{"description":"Success","schema":{"type":"array","items":{"type":"object","required":["agencyEventId"],"properties":{"agencyEventId":{"type":"string","example":"P123456789"},"isRedacted":{"type":"boolean","description":"some event information has been redacted"},"agencyId":{"type":"string","example":"LMPD"},"commonEventId":{"type":"integer","example":"12345"},"dispatchGroup":{"type":"string","example":"METRO"},"typeCode":{"type":"string","example":"10-32"},"typeCodeDescription":{"type":"string","example":"shooting"},"subTypeCode":{"type":"string","example":"default"},"subTypeCodeDescription":{"type":"string","example":"domestic"},"latitude":{"type":"number","format":"double","example":"34.698062"},"longitude":{"type":"number","format":"double","example":"-86.463481"},"locationText":{"type":"string","example":"P123456789"},"statusCode":{"type":"integer"},"substatusCode":{"type":"integer"},"status":{"type":"string","example":"pending"},"description":{"type":"string"},"priority":{"type":"integer"},"isOpen":{"type":"boolean"},"totalStagingAreaCount":{"type":"integer"},"colorByPriority":{"type":"string","description":"rbg background color associated with the event's status","example":"rgb(12,12,34)"}}}}}},"security":[{"api_key":[]}]}},"/v1/Event/{AgencyEventId}/Supplemental/Gun":{"get":{"tags":["Supplemental Gun"],"summary":"Return supplemental Gun data related to this event.","description":"Return supplemental Gun data related to this event. Is filtered by Agency","operationId":"GetAllGunForAgencyEvent","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"}],"responses":{"200":{"description":"Success","schema":{"type":"array","items":{"type":"object","properties":{"availabilityTime":{"type":"string","format":"date-time"},"caliber":{"type":"string"},"commonEventId":{"type":"integer","example":"12345"},"customData":{"type":"string"},"informationScope":{"type":"string"},"isActive":{"type":"boolean"},"itemNumber":{"type":"integer"},"jurisdiction":{"type":"string"},"make":{"type":"string"},"model":{"type":"string"},"operatorLicenseNumber":{"type":"string"},"ownerDateOfBirth":{"type":"string"},"ownerName":{"type":"string"},"remarks":{"type":"string"},"serialNumber":{"type":"string"},"unitId":{"type":"string"}}}}},"404":{"description":"AgencyEvent Not Found"}},"security":[{"api_key":[]}]},"put":{"tags":["Supplemental Gun"],"summary":"Add a CommonEventGun to an event","description":"Add a CommonEventGun to an event","operationId":"AddSuppGun","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"},{"name":"Body","in":"body","required":true,"schema":{"type":"object","properties":{"Caliber":{"type":"string"},"Jurisdiction":{"type":"string"},"Make":{"type":"string"},"Model":{"type":"string"},"OperatorLicenseNumber":{"type":"string"},"OwnerDateOfBirth":{"type":"string"},"OwnerName":{"type":"string"},"Remarks":{"type":"string"},"SerialNumber":{"type":"string"},"UnitId":{"type":"string"},"customData":{"type":"array","description":"This will overwrite all existing custom data.","items":{"type":"object","properties":{"Name":{"type":"string"},"Value":{"type":"string"}}}}}}}],"responses":{"200":{"description":"Success","schema":{"type":"object","properties":{"EventId":{"type":"string"},"SupplementalRowId":{"type":"integer"}}}},"404":{"description":"AgencyEvent Not Found"}},"security":[{"api_key":[]}]}},"/v1/Event/{AgencyEventId}/Supplemental/Gun/{itemNumber}":{"get":{"tags":["Supplemental Gun"],"summary":"Returns a specific Common Event Gun","description":"Returns a specific Common Event Gun","operationId":"GetGunById","produces":["application/json"],"parameters":[{"name":"itemNumber","in":"path","description":"Unique Id of the supplemental Item","required":true,"type":"integer"},{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"}],"responses":{"200":{"description":"Success","schema":{"type":"object","properties":{"availabilityTime":{"type":"string","format":"date-time"},"caliber":{"type":"string"},"commonEventId":{"type":"integer","example":"12345"},"customData":{"type":"string"},"informationScope":{"type":"string"},"isActive":{"type":"boolean"},"itemNumber":{"type":"integer"},"jurisdiction":{"type":"string"},"make":{"type":"string"},"model":{"type":"string"},"operatorLicenseNumber":{"type":"string"},"ownerDateOfBirth":{"type":"string"},"ownerName":{"type":"string"},"remarks":{"type":"string"},"serialNumber":{"type":"string"},"unitId":{"type":"string"}}}},"404":{"description":"AgencyEvent or ItemNumber Not Found"}},"security":[{"api_key":[]}]},"post":{"tags":["Supplemental Gun"],"summary":"Update a specific Supplemental Gun","description":"Update a specific Supplemental Gun","operationId":"UpdateGunById","produces":["application/json"],"parameters":[{"name":"itemNumber","in":"path","description":"Unique Id of the supplemental Item","required":true,"type":"integer"},{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"},{"name":"Body","in":"body","required":true,"schema":{"type":"object","properties":{"Caliber":{"type":"string"},"Jurisdiction":{"type":"string"},"Make":{"type":"string"},"Model":{"type":"string"},"OperatorLicenseNumber":{"type":"string"},"OwnerDateOfBirth":{"type":"string"},"OwnerName":{"type":"string"},"Remarks":{"type":"string"},"SerialNumber":{"type":"string"},"UnitId":{"type":"string"},"customData":{"type":"array","description":"This will overwrite all existing custom data.","items":{"type":"object","properties":{"Name":{"type":"string"},"Value":{"type":"string"}}}}}}}],"responses":{"200":{"description":"Success"},"404":{"description":"AgencyEvent or ItemNumber Not Found"}},"security":[{"api_key":[]}]}},"/v1/Event/{AgencyEventId}":{"get":{"tags":["Event"],"summary":"Queries for an AgencyEvent by its Id","description":"Returns full entity information about that AgencyEvent. Note: As the number of items chosen from the Expand parameter increases, the longer the database query may take to gather this information. ","operationId":"getAgencyEventById","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"},{"name":"Expand","in":"query","description":"A comma separated list of Fields to be expanded in the query.\n\nPossible Inputs:\n* All - If present all fields will be expanded.\n* StatusedUnits - include all units who have had any interaction with the event\n* AssignedUnits - include all units who are currently assigned\n* AgencyEventCaseIds - include all associated case Ids\n* CommonEvent - include the associated common event\n* AgencyEventDispositions - include all associated disposition codes\n* DispatchAssignedEvent - include information on unit this event is dispatch assigned to\n* StagingArea - include information on staged meeting points\n* SupplementalInformation - include information on supplemental data\n* CallerInformation - include information on the callers associated with the AgencyEventId\n* LoiDataInformation - include LOI data for the given AgencyEvent","required":false,"type":"array","items":{"type":"string"},"enum":["All","StatusedUnits","AssignedUnits","AgencyEventCaseIds","CommonEvent","AgencyEventDispositions","DispatchAssignedEvent","StagingArea","SupplementalInformation","CallerInformation","LoiDataInformation"]}],"responses":{"200":{"description":"Success","schema":{"type":"object","properties":{"isRedacted":{"type":"boolean","description":"some event information has been redacted"},"addedTime":{"type":"string","format":"date-time"},"agencyEventId":{"type":"string","example":"P123456789"},"agencyEventSubtypeCode":{"type":"string","example":"10-199"},"agencyEventSubtypeCodeDesc":{"type":"string","example":"10-199"},"agencyEventTypeCode":{"type":"string","example":"10-199"},"agencyEventTypeCodeDesc":{"type":"string","example":"10-199"},"agencyId":{"type":"string","example":"LMPD"},"alarmLevel":{"type":"integer"},"appointmentAlarmSnooze":{"type":"string","format":"date-time"},"appointmentEndTime":{"type":"string","format":"date-time"},"appointmentStartTime":{"type":"string","format":"date-time"},"area":{"type":"string"},"attributes":{"type":"integer"},"beat":{"type":"string"},"callbackRepeatInterval":{"type":"integer"},"callbackTime":{"type":"string","format":"date-time"},"closingComment":{"type":"string"},"closingEmployeeId":{"type":"integer"},"closingTerminal":{"type":"string"},"closingTime":{"type":"string","format":"date-time"},"commonEventId":{"type":"integer","example":"12345"},"commonEventRevisionNumber":{"type":"integer"},"dispatchAssignedUnitId":{"type":"string"},"dispatchGroup":{"type":"string","example":"METRO"},"district":{"type":"string"},"estimatedArrivalTime":{"type":"integer"},"esz":{"type":"integer"},"eventDescription":{"type":"string"},"firstUnitArrivedTime":{"type":"string","format":"date-time"},"firstUnitDispatchedTime":{"type":"string","format":"date-time"},"firstUnitEnroutedTime":{"type":"string","format":"date-time"},"firstUnitTransportArrivedTime":{"type":"string","format":"date-time"},"firstUnitTransportedTime":{"type":"string","format":"date-time"},"firstViewedTime":{"type":"string","format":"date-time","description":"This parameter has been deprecated. It is currently no longer being supported."},"groupId":{"type":"string"},"groupOrder":{"type":"integer"},"hasTemporaryLock":{"type":"boolean"},"heldForUnitId":{"type":"string"},"holdTime":{"type":"string","format":"date-time"},"holdType":{"type":"integer"},"interCadExternalEventId":{"type":"string"},"isClosingAllowed":{"type":"boolean"},"isExemptEvent":{"type":"boolean"},"isLateRun":{"type":"boolean"},"isOpen":{"type":"boolean"},"isRecPreemptEnabled":{"type":"boolean"},"isRecommendEnabled":{"type":"boolean"},"isRecommendIncomplete":{"type":"boolean"},"isReopened":{"type":"boolean"},"isResponseTimeDown":{"type":"boolean"},"lastStatusChangeTime":{"type":"string","format":"date-time"},"loiAvailableTime":{"type":"string","format":"date-time"},"maxAcknowledgeTime":{"type":"integer"},"maxArriveTime":{"type":"integer"},"maxDispatchTime":{"type":"integer"},"maxEnrouteTime":{"type":"integer"},"maxPendingTime":{"type":"integer"},"municipality":{"type":"string"},"pendingAlarmTime":{"type":"string","format":"date-time"},"predefinedSupplementalInfo":{"type":"integer"},"primaryEmployeeId":{"type":"integer"},"primaryUnitId":{"type":"string"},"priority":{"type":"integer"},"priorityChangedTime":{"type":"string","format":"date-time"},"proQACaseId":{"type":"string"},"proQACaseType":{"type":"string"},"recommendLatitude":{"type":"number","format":"double","example":"34.674136"},"recommendLongitude":{"type":"number","format":"double","example":"-86.743096"},"recommendMode":{"type":"integer"},"recommendSelectMode":{"type":"integer"},"rmsTransferTime":{"type":"string","format":"date-time"},"situationFoundSubtype":{"type":"string"},"situationFoundType":{"type":"string"},"startedTime":{"type":"string","format":"date-time"},"statusCode":{"type":"integer"},"substatusCode":{"type":"integer"},"totalAssignedUnits":{"type":"integer"},"totalStagingAreaCount":{"type":"integer"},"colorByPriority":{"type":"string","description":"rbg background color associated with the event's status","example":"rgb(12,12,34)"},"userDefinedSupplementalInfo":{"type":"integer"},"zone":{"type":"string"},"statusedUnits":{"type":"array","items":{"type":"object","properties":{"isRedacted":{"type":"boolean","description":"some event information has been redacted"},"agencyId":{"type":"string","example":"LMPD"},"alarmTime":{"type":"integer"},"areEmployeesTracked":{"type":"boolean"},"assignedAgencyEventId":{"type":"string","example":"P123456789"},"assignedAgencyEventSubtypeCode":{"type":"string","example":"10-32"},"assignedSubtypeCodeDescription":{"type":"string","example":"shooting"},"assignedAgencyEventTypeCode":{"type":"string","example":"default"},"assignedTypeCodeDescription":{"type":"string","example":"residential"},"assignedCommonEventId":{"type":"integer","example":"12345"},"attributesOrEquipmentChanged":{"type":"string"},"bay":{"type":"string"},"beat":{"type":"string"},"changeComment":{"type":"string"},"coveringUnitId":{"type":"string"},"crewId":{"type":"string"},"defaultAvailableStatus":{"type":"integer"},"delayTime":{"type":"integer"},"dispatchAlarmLevel":{"type":"integer"},"dispatchGroup":{"type":"string","example":"METRO"},"dispatchNumber":{"type":"string"},"extendedUnitAttributes":{"type":"string"},"facilityEntranceId":{"type":"string"},"groupLeaderUnitId":{"type":"string"},"hasAlarmSounded":{"type":"boolean"},"hasAmCourtAppearance":{"type":"boolean"},"hasBeenTemporarilyTransferred":{"type":"boolean"},"hasFailedToRespond":{"type":"boolean"},"hasLocationChanged":{"type":"boolean"},"hasNameChanged":{"type":"boolean"},"hasPmCourtAppearance":{"type":"boolean"},"isAvailableForRecommend":{"type":"boolean"},"isInEmergency":{"type":"boolean"},"isLateRun":{"type":"boolean"},"isLoggedOffOnClear":{"type":"boolean"},"isOutOfComplianceIfDispatched":{"type":"boolean"},"isSharedCrew":{"type":"boolean"},"isUnavailable":{"type":"boolean"},"latitude":{"type":"number","format":"double","example":"34.674136"},"lineupName":{"type":"string"},"location":{"type":"string","example":"305 Intergraph Way, Madison, AL 35758"},"logonTime":{"type":"string","format":"date-time"},"longitude":{"type":"number","format":"double","example":"-86.743096"},"maxAcknowledgeTime":{"type":"integer"},"maxArriveTime":{"type":"integer"},"maxDispatchTime":{"type":"integer"},"maxEnrouteTime":{"type":"integer"},"maxHeight":{"type":"integer"},"maxWeight":{"type":"integer"},"maxWidth":{"type":"integer"},"mileage":{"type":"string"},"numberOfPatients":{"type":"integer"},"oldAgencyId":{"type":"string","example":"LMPD"},"oldDispatchGroup":{"type":"string","example":"METRO"},"outOfServiceTypeCode":{"type":"string","example":"10-199"},"permanentLocation":{"type":"string","example":"305 Intergraph Way, Madison, AL 35758"},"permanentStationId":{"type":"string","example":"STN_LMPD_2"},"relocatedCrewId":{"type":"string"},"roleDesignator":{"type":"string"},"shiftDuration":{"type":"integer"},"shiftStart":{"type":"string","format":"date-time"},"shiftStartDelta":{"type":"integer"},"specialContact":{"type":"string"},"stagingAreaId":{"type":"integer"},"stationId":{"type":"string","example":"STN_LMPD_2"},"status":{"type":"integer"},"statusChangeTime":{"type":"string","format":"date-time"},"statusedAgencyEventId":{"type":"string","example":"P123456789"},"statusedAgencyEventSubtypeCode":{"type":"string","example":"10-199"},"statusedAgencyEventTypeCode":{"type":"string","example":"10-199"},"statusedCommonEventId":{"type":"integer","example":"12345"},"symbolNumber":{"type":"integer"},"totalAvailableStationTime":{"type":"integer"},"totalEmergencyEventCount":{"type":"integer"},"totalEventCount":{"type":"integer"},"totalEventTime":{"type":"integer"},"totalPatients":{"type":"integer"},"totalStationMoves":{"type":"integer"},"totalTransports":{"type":"integer"},"totalUnavailableTime":{"type":"integer"},"transportLatitude":{"type":"number","format":"double","example":"34.674136"},"transportLocation":{"type":"string","example":"305 Intergraph Way, Madison, AL 35758"},"transportLongitude":{"type":"number","format":"double","example":"-86.743096"},"transportPriority":{"type":"integer"},"unitHealth":{"type":"number","format":"double"},"unitId":{"type":"string"},"unitType":{"type":"string"},"vehicleId":{"type":"string"},"warning":{"type":"string"},"zone":{"type":"string"}}}},"statusedUnitsLinks":{"type":"array","items":{"type":"string"},"description":"An empty array indicates no associated statusedUnits"},"assignedUnits":{"type":"array","items":{"type":"object","properties":{"isRedacted":{"type":"boolean","description":"some event information has been redacted"},"agencyId":{"type":"string","example":"LMPD"},"alarmTime":{"type":"integer"},"areEmployeesTracked":{"type":"boolean"},"assignedAgencyEventId":{"type":"string","example":"P123456789"},"assignedAgencyEventSubtypeCode":{"type":"string","example":"10-32"},"assignedSubtypeCodeDescription":{"type":"string","example":"shooting"},"assignedAgencyEventTypeCode":{"type":"string","example":"default"},"assignedTypeCodeDescription":{"type":"string","example":"residential"},"assignedCommonEventId":{"type":"integer","example":"12345"},"attributesOrEquipmentChanged":{"type":"string"},"bay":{"type":"string"},"beat":{"type":"string"},"changeComment":{"type":"string"},"coveringUnitId":{"type":"string"},"crewId":{"type":"string"},"defaultAvailableStatus":{"type":"integer"},"delayTime":{"type":"integer"},"dispatchAlarmLevel":{"type":"integer"},"dispatchGroup":{"type":"string","example":"METRO"},"dispatchNumber":{"type":"string"},"extendedUnitAttributes":{"type":"string"},"facilityEntranceId":{"type":"string"},"groupLeaderUnitId":{"type":"string"},"hasAlarmSounded":{"type":"boolean"},"hasAmCourtAppearance":{"type":"boolean"},"hasBeenTemporarilyTransferred":{"type":"boolean"},"hasFailedToRespond":{"type":"boolean"},"hasLocationChanged":{"type":"boolean"},"hasNameChanged":{"type":"boolean"},"hasPmCourtAppearance":{"type":"boolean"},"isAvailableForRecommend":{"type":"boolean"},"isInEmergency":{"type":"boolean"},"isLateRun":{"type":"boolean"},"isLoggedOffOnClear":{"type":"boolean"},"isOutOfComplianceIfDispatched":{"type":"boolean"},"isSharedCrew":{"type":"boolean"},"isUnavailable":{"type":"boolean"},"latitude":{"type":"number","format":"double","example":"34.674136"},"lineupName":{"type":"string"},"location":{"type":"string","example":"305 Intergraph Way, Madison, AL 35758"},"logonTime":{"type":"string","format":"date-time"},"longitude":{"type":"number","format":"double","example":"-86.743096"},"maxAcknowledgeTime":{"type":"integer"},"maxArriveTime":{"type":"integer"},"maxDispatchTime":{"type":"integer"},"maxEnrouteTime":{"type":"integer"},"maxHeight":{"type":"integer"},"maxWeight":{"type":"integer"},"maxWidth":{"type":"integer"},"mileage":{"type":"string"},"numberOfPatients":{"type":"integer"},"oldAgencyId":{"type":"string","example":"LMPD"},"oldDispatchGroup":{"type":"string","example":"METRO"},"outOfServiceTypeCode":{"type":"string","example":"10-199"},"permanentLocation":{"type":"string","example":"305 Intergraph Way, Madison, AL 35758"},"permanentStationId":{"type":"string","example":"STN_LMPD_2"},"relocatedCrewId":{"type":"string"},"roleDesignator":{"type":"string"},"shiftDuration":{"type":"integer"},"shiftStart":{"type":"string","format":"date-time"},"shiftStartDelta":{"type":"integer"},"specialContact":{"type":"string"},"stagingAreaId":{"type":"integer"},"stationId":{"type":"string","example":"STN_LMPD_2"},"status":{"type":"integer"},"statusChangeTime":{"type":"string","format":"date-time"},"statusedAgencyEventId":{"type":"string","example":"P123456789"},"statusedAgencyEventSubtypeCode":{"type":"string","example":"10-199"},"statusedAgencyEventTypeCode":{"type":"string","example":"10-199"},"statusedCommonEventId":{"type":"integer","example":"12345"},"symbolNumber":{"type":"integer"},"totalAvailableStationTime":{"type":"integer"},"totalEmergencyEventCount":{"type":"integer"},"totalEventCount":{"type":"integer"},"totalEventTime":{"type":"integer"},"totalPatients":{"type":"integer"},"totalStationMoves":{"type":"integer"},"totalTransports":{"type":"integer"},"totalUnavailableTime":{"type":"integer"},"transportLatitude":{"type":"number","format":"double","example":"34.674136"},"transportLocation":{"type":"string","example":"305 Intergraph Way, Madison, AL 35758"},"transportLongitude":{"type":"number","format":"double","example":"-86.743096"},"transportPriority":{"type":"integer"},"unitHealth":{"type":"number","format":"double"},"unitId":{"type":"string"},"unitType":{"type":"string"},"vehicleId":{"type":"string"},"warning":{"type":"string"},"zone":{"type":"string"}}}},"assignedUnitsLinks":{"type":"array","items":{"type":"string"},"description":"An empty array indicates no associated assignedUnits"},"agencyEventCaseIds":{"type":"array","items":{"type":"object","properties":{"agencyEventId":{"type":"string","example":"P123456789"},"agencyId":{"type":"string","example":"LMPD"},"caseId":{"type":"string"},"commonEventId":{"type":"integer","example":"12345"},"dispatchGroup":{"type":"string","example":"METRO"},"isActive":{"type":"boolean"}}}},"agencyEventCaseIdsLinks":{"type":"array","items":{"type":"string"},"description":"An empty array indicates no associated agencyEventCaseIds"},"commonEvent":{"type":"object","properties":{"area":{"type":"string"},"commonEventId":{"type":"integer","example":"12345"},"crossStreet1":{"type":"string"},"crossStreet2":{"type":"string"},"geocoderResponse":{"type":"string"},"geocoderSource":{"type":"string"},"hasInformerLoiData":{"type":"boolean"},"hasLoiData":{"type":"boolean"},"hasSpecialSituationLoiData":{"type":"boolean"},"hasTemporaryLock":{"type":"boolean"},"isLocationVerified":{"type":"boolean"},"isOnlySpecialSituationSearched":{"type":"boolean"},"isRedacted":{"type":"boolean","description":"some event information has been redacted"},"latitude":{"type":"number","format":"double","example":"34.674136"},"location":{"type":"string","example":"305 Intergraph Way, Madison, AL 35758"},"locationComment":{"type":"string","example":"305 Intergraph Way, Madison, AL 35758"},"longitude":{"type":"number","format":"double","example":"-86.743096"},"mapLevels":{"type":"string"},"municipality":{"type":"string"},"proQACadCaseId":{"type":"string"},"systemEsz":{"type":"integer"},"zipCode":{"type":"string"}}},"commonEventLink":{"type":"string","description":"A null value indicates no associated commonEvent"},"agencyEventDispositions":{"type":"array","items":{"type":"object","properties":{"agencyEventId":{"type":"string","example":"P123456789"},"caseId":{"type":"string"},"commonEventId":{"type":"integer","example":"12345"},"detailedEventTypeCode":{"type":"string","example":"10-199"},"dispositionNumber":{"type":"integer"},"dispositionTypeCode":{"type":"string","example":"10-199"},"isActive":{"type":"boolean"},"qualifier1":{"type":"string"},"qualifier2":{"type":"string"},"unitEmployeeId":{"type":"integer"},"unitId":{"type":"string"}}}},"agencyEventDispositionsLinks":{"type":"array","items":{"type":"string"},"description":"An empty array indicates no associated agencyEventDispositions"},"stagingAreaData":{"type":"array","items":{"type":"object","properties":{"agencyGroupScope":{"type":"string"},"agencyScope":{"type":"string"},"commonEventId":{"type":"integer","example":"12345"},"description":{"type":"string"},"latitude":{"type":"number","format":"double","example":"34.674136"},"location":{"type":"string","example":"305 Intergraph Way, Madison, AL 35758"},"longitude":{"type":"number","format":"double","example":"-86.743096"},"managingUnitId":{"type":"string"},"responsePlanName":{"type":"string"},"stagingAreaId":{"type":"integer"},"stagingAreaName":{"type":"string"},"stagingAreaPriority":{"type":"integer"},"stagingAreaStatus":{"type":"integer"},"stagingAreaType":{"type":"integer"},"assignedUnits":{"type":"array","items":{"type":"object","properties":{"unitId":{"type":"string"},"unitStatus":{"type":"integer"}}}}}}},"stagingAreaDataLinks":{"type":"array","items":{"type":"string"},"description":"An empty array indicates no associated stagingAreaData"},"supplementalVehicleData":{"type":"array","items":{"type":"object","description":"An object representing the data found within a set of supplementalData","properties":{"AgencyEventId":{"type":"string"},"CommonEventId":{"type":"integer"},"Fields":{"type":"array","items":{"type":"object","description":"Used to define a field object","properties":{"key":{"type":"string"},"value":{"type":"string"}}}},"TableName":{"type":"string"}}},"description":"A container of all Vehicle types of SupplementalData"},"supplementalVehicleDataLinks":{"type":"array","items":{"type":"string"},"description":"An empty array indicates no associated supplementalVehicleData"},"supplementalPersonData":{"type":"array","items":{"type":"object","description":"An object representing the data found within a set of supplementalData","properties":{"AgencyEventId":{"type":"string"},"CommonEventId":{"type":"integer"},"Fields":{"type":"array","items":{"type":"object","description":"Used to define a field object","properties":{"key":{"type":"string"},"value":{"type":"string"}}}},"TableName":{"type":"string"}}},"description":"A container of all Person types of SupplementalData"},"supplementalPersonDataLinks":{"type":"array","items":{"type":"string"},"description":"An empty array indicates no associated supplementalPersonData"},"supplementalPropertyData":{"type":"array","items":{"type":"object","description":"An object representing the data found within a set of supplementalData","properties":{"AgencyEventId":{"type":"string"},"CommonEventId":{"type":"integer"},"Fields":{"type":"array","items":{"type":"object","description":"Used to define a field object","properties":{"key":{"type":"string"},"value":{"type":"string"}}}},"TableName":{"type":"string"}}},"description":"A container of all Property types of SupplementalData"},"supplementalPropertyDataLinks":{"type":"array","items":{"type":"string"},"description":"An empty array indicates no associated supplementalPropertyData"},"supplementalAntiBiasData":{"type":"array","items":{"type":"object","description":"An object representing the data found within a set of supplementalData","properties":{"AgencyEventId":{"type":"string"},"CommonEventId":{"type":"integer"},"Fields":{"type":"array","items":{"type":"object","description":"Used to define a field object","properties":{"key":{"type":"string"},"value":{"type":"string"}}}},"TableName":{"type":"string"}}},"description":"A container of all AntiBias types of SupplementalData"},"supplementalAntiBiasDataLinks":{"type":"array","items":{"type":"string"},"description":"An empty array indicates no associated supplementalAntiBiasData"},"supplementalContactData":{"type":"array","items":{"type":"object","description":"An object representing the data found within a set of supplementalData","properties":{"AgencyEventId":{"type":"string"},"CommonEventId":{"type":"integer"},"Fields":{"type":"array","items":{"type":"object","description":"Used to define a field object","properties":{"key":{"type":"string"},"value":{"type":"string"}}}},"TableName":{"type":"string"}}},"description":"A container of all Contact types of SupplementalData"},"supplementalContactDataLinks":{"type":"array","items":{"type":"string"},"description":"An empty array indicates no associated supplementalContactData"},"supplementalBoatData":{"type":"array","items":{"type":"object","description":"An object representing the data found within a set of supplementalData","properties":{"AgencyEventId":{"type":"string"},"CommonEventId":{"type":"integer"},"Fields":{"type":"array","items":{"type":"object","description":"Used to define a field object","properties":{"key":{"type":"string"},"value":{"type":"string"}}}},"TableName":{"type":"string"}}},"description":"A container of all Boat types of SupplementalData"},"supplementalBoatDataLinks":{"type":"array","items":{"type":"string"},"description":"An empty array indicates no associated supplementalBoatData"},"supplementalGunData":{"type":"array","items":{"type":"object","description":"An object representing the data found within a set of supplementalData","properties":{"AgencyEventId":{"type":"string"},"CommonEventId":{"type":"integer"},"Fields":{"type":"array","items":{"type":"object","description":"Used to define a field object","properties":{"key":{"type":"string"},"value":{"type":"string"}}}},"TableName":{"type":"string"}}},"description":"A container of all Gun types of SupplementalData"},"supplementalGunDataLinks":{"type":"array","items":{"type":"string"},"description":"An empty array indicates no associated supplementalGunData"},"supplementalUserDefinedData":{"type":"array","items":{"type":"object","description":"An object representing the data found within a set of userDefined supplementalData","properties":{"AvailabilityTime":{"type":"string","format":"date-time"},"CreatedEmployeeId":{"type":"integer"},"CreatedTerminal":{"type":"string"},"CreatedTime":{"type":"string","format":"date-time"},"CustomData":{"type":"string"},"InformationScope":{"type":"string"},"ItemNumber":{"type":"integer"},"IsActive":{"type":"boolean"},"UnitId":{"type":"string"},"Remarks":{"type":"string"},"CommonEventId":{"type":"integer"},"TableId":{"type":"integer"}}},"description":"A container of all UserDefined types of SupplementalData"},"callerData":{"type":"array","items":{"type":"object","properties":{"callId":{"type":"string"},"callSource":{"type":"string"},"callerCityStateZipCode":{"type":"string"},"callerName":{"type":"string"},"callerPhoneNumber":{"type":"string"},"callerStreetAddress":{"type":"string"},"city":{"type":"string"},"commonEventCallId":{"type":"integer"},"commonEventId":{"type":"integer","example":"12345"},"isFirstCaller":{"type":"boolean"},"isLocationVerified":{"type":"boolean"},"latitude":{"type":"number","format":"double","example":"34.674136"},"longitude":{"type":"number","format":"double","example":"-86.743096"},"state":{"type":"string"},"streetAddress":{"type":"string"},"zipCode":{"type":"string"}}}},"callerDataLinks":{"type":"array","items":{"type":"string"},"description":"An empty array indicates no associated callerData"},"loiDataResult":{"type":"array","items":{"type":"object","properties":{"agencyEventId":{"type":"string","example":"P123456789"},"agencyEventSubtypeCode":{"type":"string","example":"RESCUE"},"agencyEventTypeCode":{"type":"string","example":"10-50"},"associatedDataAddedTime":{"type":"string","format":"date-time"},"commonEventId":{"type":"integer","example":"12345"},"createdTime":{"type":"string","format":"date-time"},"CustomData":{"type":"string"},"isActive":{"type":"boolean"},"location":{"type":"string","example":"305 Intergraph Way, Madison, AL 35758"},"loiDataType":{"type":"integer","example":"13"},"priority":{"type":"integer"},"searchCommonEventId":{"type":"integer","example":"12345"},"searchEmployeeId":{"type":"integer","example":"12345"},"sourceDbConfigName":{"type":"string","example":"qua-ora-100-win2-aag-lsv"},"specialSituationHasAttachment":{"type":"boolean"},"specialSituationTypeCode":{"type":"string","example":"10-199"},"supplementalItemNumber":{"type":"integer","example":"12345"},"supplementalSearch":{"type":"string"},"updatedTime":{"type":"string","format":"date-time"}}}},"dispatchAssignedEvent":{"type":"object","properties":{"agencyEventId":{"type":"string","example":"P123456789"},"alarmTime":{"type":"integer"},"dispatchNumber":{"type":"string"},"facilityEntranceId":{"type":"string"},"listPosition":{"type":"integer"},"statusChangeTime":{"type":"string","format":"date-time"},"transportLatitude":{"type":"number","format":"double","example":"34.674136"},"transportLocation":{"type":"string","example":"305 Intergraph Way, Madison, AL 35758"},"transportLongitude":{"type":"number","format":"double","example":"-86.743096"},"transportPriority":{"type":"integer"},"unitId":{"type":"string"},"unitStatus":{"type":"integer"}}},"dispatchAssignedEventLink":{"type":"string","description":"A null value indicates no associated dispatchAssignedEvent"}}}},"400":{"description":"Arguments passed in were wrong or not accepted. Response will have more info"},"404":{"description":"AgencyEvent Not Found"}},"security":[{"api_key":[]}]},"post":{"tags":["Event"],"summary":"Updates properties on a specific event","description":"Updates properties on a specific event","operationId":"UpdateEvent","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"The agencyevent to update","required":true,"type":"string"},{"name":"Location","in":"query","description":"The text location of the event","required":false,"type":"string"},{"name":"Latitude","in":"query","description":"Change the latitude of the event","required":false,"type":"number"},{"name":"Longitude","in":"query","description":"Change the longitude of the event","required":false,"type":"number"},{"name":"Type","in":"query","description":"Change the type of the event","required":false,"type":"string"},{"name":"SubType","in":"query","description":"Change the SubType of the event","required":false,"type":"string"},{"name":"AlarmLevel","in":"query","description":"Change the alarm level of the event","required":false,"type":"integer"},{"name":"Priority","in":"query","description":"Change the priority of the event","required":false,"type":"integer"}],"responses":{"200":{"description":"Success"}},"security":[{"api_key":[]}]}},"/v1/Event/{AgencyEventId}/CommonEvent":{"get":{"tags":["Event"],"summary":"Returns detailed information about the commonEvent attached to the specified event id","description":"Returns detailed information about the commonEvent attached to the specified event id","operationId":"getCommonEventByAgencyEventId","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"}],"responses":{"200":{"description":"Success","schema":{"type":"object","properties":{"area":{"type":"string"},"commonEventId":{"type":"integer","example":"12345"},"crossStreet1":{"type":"string"},"crossStreet2":{"type":"string"},"geocoderResponse":{"type":"string"},"geocoderSource":{"type":"string"},"hasInformerLoiData":{"type":"boolean"},"hasLoiData":{"type":"boolean"},"hasSpecialSituationLoiData":{"type":"boolean"},"hasTemporaryLock":{"type":"boolean"},"isLocationVerified":{"type":"boolean"},"isOnlySpecialSituationSearched":{"type":"boolean"},"isRedacted":{"type":"boolean","description":"some event information has been redacted"},"latitude":{"type":"number","format":"double","example":"34.674136"},"location":{"type":"string","example":"305 Intergraph Way, Madison, AL 35758"},"locationComment":{"type":"string","example":"305 Intergraph Way, Madison, AL 35758"},"longitude":{"type":"number","format":"double","example":"-86.743096"},"mapLevels":{"type":"string"},"municipality":{"type":"string"},"proQACadCaseId":{"type":"string"},"systemEsz":{"type":"integer"},"zipCode":{"type":"string"}}}},"400":{"description":"Arguments passed in were wrong or not accepted. Response will have more info"},"404":{"description":"AgencyEvent Not Found"}},"security":[{"api_key":[]}]}},"/v1/Event/{AgencyEventId}/AssignedUnits":{"get":{"tags":["Event"],"summary":"Returns detailed information about the Units assigned to the specified event id","description":"Returns detailed information about the Units assigned to the specified event id","operationId":"GetUnitsOnAgencyEvent","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"}],"responses":{"200":{"description":"Success","schema":{"type":"array","items":{"type":"object","properties":{"agencyId":{"type":"string"},"dispatchGroup":{"type":"string"},"isRedacted":{"type":"boolean","description":"some event information has been redacted"},"latitude":{"type":"number","format":"double","example":"34.698062"},"longitude":{"type":"number","format":"double","example":"-86.463481"},"location":{"type":"string"},"status":{"type":"integer"},"statusChangeTime":{"type":"string","format":"date-time"},"assignedAgencyEventId":{"type":"string"},"assignedAgencyEventSubtypeCode":{"type":"string","example":"10-32"},"assignedSubtypeCodeDescription":{"type":"string","example":"shooting"},"assignedAgencyEventTypeCode":{"type":"string","example":"default"},"assignedTypeCodeDescription":{"type":"string","example":"residential"},"statusedAgencyEventId":{"type":"string"},"statusedAgencyEventSubtypeCode":{"type":"string","example":"10-32"},"statusedAgencyEventTypeCode":{"type":"string","example":"default"},"unitId":{"type":"string"},"vehicleId":{"type":"string"},"stationId":{"type":"string"},"permanentStationId":{"type":"string"},"StagingAreaId":{"type":"integer"},"bay":{"type":"string"},"unitType":{"type":"string"}}}}},"400":{"description":"Arguments passed in were wrong or not accepted. Response will have more info"},"404":{"description":"AgencyEvent Not Found"}},"security":[{"api_key":[]}]}},"/v1/Event/{AgencyEventId}/CaseIds":{"get":{"tags":["Event"],"summary":"Returns detailed information about the CaseIds attached to the specified event id","description":"Returns detailed information about the CaseIds attached to the specified event id","operationId":"GetCaseIdsByAgencyEventId","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"}],"responses":{"200":{"description":"Success","schema":{"type":"array","items":{"type":"object","properties":{"agencyEventId":{"type":"string","example":"P123456789"},"agencyId":{"type":"string","example":"LMPD"},"caseId":{"type":"string"},"commonEventId":{"type":"integer","example":"12345"},"dispatchGroup":{"type":"string","example":"METRO"},"isActive":{"type":"boolean"}}}}},"400":{"description":"Arguments passed in were wrong or not accepted. Response will have more info"},"404":{"description":"AgencyEvent Not Found"}},"security":[{"api_key":[]}]},"post":{"tags":["Event Commands"],"summary":"Generates a case number and associates the case number with the disposition code.","description":"Generates a case number and associates the case number with the disposition code.","operationId":"AssignCaseNumber","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"},{"name":"NumberTableId","in":"query","description":"Number table identifier","required":true,"type":"integer"},{"name":"UnitId","in":"query","description":"Unique UnitId","required":false,"type":"string"},{"name":"Comment","in":"query","description":"Case number comment","required":false,"type":"string"},{"name":"DispositionCode","in":"query","description":"Disposition code","required":false,"type":"string"}],"responses":{"200":{"description":"Returns the new case number","schema":{"type":"string"}},"400":{"description":"Arguments passed in were wrong or not accepted. Response will have more info"},"404":{"description":"AgencyEvent was not found"}},"security":[{"api_key":[]}]}},"/v1/Event/{AgencyEventId}/Dispositions":{"get":{"tags":["Event"],"summary":"Returns detailed information about the Dispositions attached to the specified event id","description":"Returns detailed information about the Dispositions attached to the specified event id","operationId":"getDispositionsByAgencyEventId","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"}],"responses":{"200":{"description":"Success","schema":{"type":"array","items":{"type":"object","properties":{"agencyEventId":{"type":"string","example":"P123456789"},"caseId":{"type":"string"},"commonEventId":{"type":"integer","example":"12345"},"detailedEventTypeCode":{"type":"string","example":"10-199"},"dispositionNumber":{"type":"integer"},"dispositionTypeCode":{"type":"string","example":"10-199"},"isActive":{"type":"boolean"},"qualifier1":{"type":"string"},"qualifier2":{"type":"string"},"unitEmployeeId":{"type":"integer"},"unitId":{"type":"string"}}}}},"400":{"description":"Arguments passed in were wrong or not accepted. Response will have more info"},"404":{"description":"AgencyEvent Not Found"}},"security":[{"api_key":[]}]},"post":{"tags":["Event Commands"],"summary":"Assign disposition code(s)","description":"Either event, unit, or case must be specified.","operationId":"AssignDispositionCode","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"},{"name":"UnitId","in":"query","description":"Unique UnitId","required":false,"type":"string"},{"name":"UnitEmployee","in":"query","description":"Employee id associated with the unit","required":false,"type":"integer"},{"name":"CaseNumber","in":"query","description":"Optional case number","required":false,"type":"string"},{"name":"Comment","in":"query","description":"Comment","required":false,"type":"string"},{"name":"DispositionCodes","in":"query","description":"Disposition code(s) to be applied","required":true,"type":"array","items":{"type":"string"},"collectionFormat":"csv"}],"responses":{"200":{"description":"Success"},"400":{"description":"Arguments passed in were wrong or not accepted. Response will have more info"},"404":{"description":"AgencyEvent was not found"}},"security":[{"api_key":[]}]}},"/v1/Event/{AgencyEventId}/Comments":{"get":{"tags":["Event Comments"],"summary":"Returns all comments attached to this AgencyEvent","description":"Returns all comments attached to this AgencyEvent","operationId":"getCommentsOnAgencyEvent","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"},{"name":"includeSystemComments","in":"query","description":"If true system comments will be returned as well","required":true,"type":"boolean"}],"responses":{"200":{"description":"Success","schema":{"type":"array","items":{"type":"object","properties":{"adornedCommentStyle":{"type":"string"},"adornedCommentText":{"type":"string"},"agencyGroupScope":{"type":"string"},"agencyScope":{"type":"string"},"commentText":{"type":"string"},"commonEventId":{"type":"integer","example":"12345"},"id":{"type":"number","format":"long"},"isSystemComment":{"type":"boolean"},"priority":{"type":"integer"},"remoteAgency":{"type":"string"},"remoteCommentId":{"type":"string"},"type":{"type":"integer"},"createdTime":{"type":"string","format":"date-time"}}}}},"400":{"description":"Arguments passed in were wrong or not accepted. Response will have more info"},"404":{"description":"AgencyEvent Not Found"}},"security":[{"api_key":[]}]},"put":{"tags":["Event Comments"],"summary":"Add a comment to the event","description":"Add a comment to the event","operationId":"AddComment","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"},{"name":"Body","in":"body","required":true,"schema":{"type":"object","properties":{"externalAgency":{"type":"string","description":"The external agency this comment is mapped to"},"externalCommentId":{"type":"string","description":"Comment Id of the external comment to map this comment to"},"agency":{"type":"string","description":"The agency this comment will be limited to"},"agencyGroup":{"type":"string","description":"The AgencyGroup this comment will be limited to, Will be used instead of Agency"},"unitId":{"type":"string","description":"optional unit associated with the comment"},"priority":{"type":"integer","description":"Comment priority"},"type":{"type":"integer","description":"Remark type - 0 for User, 1 for System"},"comment":{"type":"string","description":"If adorned style is used comments must be a valid xml fragment and have a root span element. The span element may have one or more style names in a class attribute. Any number of span elements may be specified within the root span element as well as anchor (a) tags with an href."},"style":{"type":"object","required":["name"],"properties":{"name":{"type":"string","description":"if AdornedStyle is used name is required. The name should be used in the class attribute for the comment"},"backgroundColor":{"type":"object","properties":{"red":{"type":"integer"},"green":{"type":"integer"},"blue":{"type":"integer"},"alpha":{"type":"number","format":"double"}}},"color":{"type":"object","properties":{"red":{"type":"integer"},"green":{"type":"integer"},"blue":{"type":"integer"},"alpha":{"type":"number","format":"double"}}},"fontWeight":{"type":"string","enum":["Normal","Bold"]},"fontStyle":{"type":"string","enum":["Normal","Italic"]},"textDecoration":{"type":"string","enum":["None","Underline","LineThrough"]},"fontSize":{"type":"integer"}}}}}}],"responses":{"200":{"description":"Success"},"404":{"description":"AgencyEvent Not Found"}},"security":[{"api_key":[]}]}},"/v1/Event/{AgencyEventId}/Call":{"get":{"tags":["Event"],"summary":"Returns All Call Data On the Event","description":"Returns All Call Data On the Event","operationId":"getCallDataForAgencyEvent","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"}],"responses":{"200":{"description":"Success","schema":{"type":"array","items":{"type":"object","properties":{"callId":{"type":"string"},"callSource":{"type":"string"},"callerCityStateZipCode":{"type":"string"},"callerName":{"type":"string"},"callerPhoneNumber":{"type":"string"},"callerStreetAddress":{"type":"string"},"city":{"type":"string"},"commonEventCallId":{"type":"integer"},"commonEventId":{"type":"integer","example":"12345"},"isFirstCaller":{"type":"boolean"},"isLocationVerified":{"type":"boolean"},"latitude":{"type":"number","format":"double","example":"34.674136"},"longitude":{"type":"number","format":"double","example":"-86.743096"},"state":{"type":"string"},"streetAddress":{"type":"string"},"zipCode":{"type":"string"}}}}},"400":{"description":"Arguments passed in were wrong or not accepted. Response will have more info"},"404":{"description":"CommonEvent Not Found"}},"security":[{"api_key":[]}]}},"/v1/Event/History":{"get":{"tags":["Event History"],"summary":"Returns All Event History for all events with a customizable filter","description":"This endpoint makes use of the CadSql meta query language in order to provide as much flexability as possible.\nPlease note this endpoint is _very DataBase heavy_. Complex filters can/will be slow and time can be reduced by using indexed columns or by reducing the time window.\n\n### Special Notes about this endpoint:\n* This endpoint uses data from both CommonEventHistory and AgencyEventHistory combining them together\n* In order to query customdata for CommonEventHistory use $CHDCustomDataName\n* In order to query customdata for AgencyEventHistory use $CustomDataName\n* This endpoint REQUIRES CreatedTime.Between(start,end) to be present in any filter provided.\n\n### Expression Reference:\n* Column.{equal|eq|is}(value)\n* Column.{notequal|isnot|neq}(value)\n* Column.like(value%)\n* Column.notlike(value%)\n* Column.in(value,value2,value3)\n* Column.{notin|out}(value,value2,value3)\n* Column.between(startDate,endDate)\n* Column.before(date)\n* Column.after(date)\n* Column.{greaterthan|gt}(number)\n* Column.{lessthan|lt}(number)\n* Column.{greaterthanequal|gte}(number)\n* Column.{lessthanequal|lte}(number)\n* OR(expression,expression,...)\n* And(expression,expression,...)\n\n### Samples:\nGet History for a event between two dates.\n> AND(AgencyEventId.eq(P16112100007),CreatedTime.Between(2016-11-01,2016-12-30))\n\nGet history for several events\n> AND(AgencyEventId.in(P16112100007, P16112100008, P16112100009),CreatedTime.Between(2016-11-01,2016-12-30))\n\nGet history for LMPD events between two dates.\n> AND(AgencyId.eq(LMPD),CreatedTime.Between(2016-11-01,2016-12-30))\n\nGet history for events that happend at 4th street\n> AND(Location.Like(%S 4TH ST LVIL),CreatedTime.Between(2016-11-01,2016-12-30))\n\nGet history for Agency1 or Agency2 events \n> AND(AgencyId.in(Agency1,Agency2),CreatedTime.Between(2016-11-01,2016-12-30))\n> AND(OR(AgencyId.eq(Agency1),AgencyId.eq(Agency2)),CreatedTime.Between(2016-11-01,2016-12-30))\n\nGet History based on AgencyEventHistory CustomData\n> AND($CustomColumn1.eq(CustomValue),CreatedTime.Between(2016-11-01,2016-12-30))\n\nGet History based on CommonEventHistory CustomData\n> AND($CHDCustomColumn1.eq(CustomValue),CreatedTime.Between(2016-11-01,2016-12-30))","operationId":"FilterEventHistory","produces":["application/json"],"parameters":[{"name":"Filter","in":"query","description":"A filter to be applied while fetching. See description for more details","required":false,"type":"string"},{"name":"OrderBy","in":"query","description":"The column to order by in the form of ColumnName:[asnd|desc]","required":false,"type":"string"},{"name":"Offset","in":"query","description":"Initial record offset to return. Must be 0 or greater","required":false,"type":"integer"},{"name":"Limit","in":"query","description":"Maximum number of records to return. Range n-n (Default is 100, minimum 100, maximum 1000)","required":false,"type":"integer"}],"responses":{"200":{"description":"Success","schema":{"allOf":[{"type":"object","properties":{"Links":{"type":"object","properties":{"first":{"type":"string"},"next":{"type":"string"},"previous":{"type":"string"},"last":{"type":"string"}}},"Count":{"type":"integer"},"Total":{"type":"integer"}}},{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"AgencyEventId":{"type":"string"},"SubtypeCode":{"type":"string"},"SubtypeCodeDesc":{"type":"string"},"TypeCode":{"type":"string"},"TypeCodeDesc":{"type":"string"},"AgencyId":{"type":"string"},"AlarmLevel":{"type":"integer"},"AppointmentAlarmSnooze":{"type":"string","format":"date-time"},"AppointmentEndTime":{"type":"string","format":"date-time"},"AppointmentStartTime":{"type":"string","format":"date-time"},"Attributes":{"type":"integer"},"Beat":{"type":"string"},"CallbackTime":{"type":"string","format":"date-time"},"ClosingComment":{"type":"string"},"ClosingEmployeeId":{"type":"string"},"ClosingTerminal":{"type":"string"},"ClosingTime":{"type":"string","format":"date-time"},"CreatedEmployeeId":{"type":"integer"},"CreatedTime":{"type":"string","format":"date-time"},"DispatchAssignedUnitId":{"type":"string"},"DispatchGroup":{"type":"string"},"District":{"type":"string"},"Esz":{"type":"integer"},"EstimatedArrivalTime":{"type":"integer"},"EventDescription":{"type":"string"},"GroupId":{"type":"string"},"GroupOrder":{"type":"integer"},"HeldForUnitId":{"type":"string"},"HoldTime":{"type":"string","format":"date-time"},"HoldType":{"type":"integer"},"InterCadExternalEventId":{"type":"string"},"IsClosingAllowed":{"type":"boolean"},"IsExemptEvent":{"type":"boolean"},"IsLateRun":{"type":"boolean"},"IsOpen":{"type":"boolean"},"IsReopened":{"type":"boolean"},"IsResponseTimeDown":{"type":"boolean"},"LastStatusChangeTime":{"type":"string","format":"date-time"},"Location":{"type":"object","properties":{"Area":{"type":"string"},"CrossStreet1":{"type":"string"},"CrossStreet2":{"type":"string"},"IsLocationVerified":{"type":"boolean"},"Latitude":{"type":"number","format":"double"},"Location":{"type":"string"},"LocationComment":{"type":"string"},"Longitude":{"type":"number","format":"double"},"Municipality":{"type":"string"},"ZipCode":{"type":"string"},"SpecialAddressId":{"type":"string"}}},"OriginalEmployeeId":{"type":"string"},"OriginalTerminal":{"type":"string"},"PendingAlarmTime":{"type":"string","format":"date-time"},"PrimaryEmployeeId":{"type":"integer"},"PrimaryUnitId":{"type":"string"},"Priority":{"type":"integer"},"PriorityChangedTime":{"type":"string","format":"date-time"},"ProQACaseId":{"type":"string"},"ProQACaseType":{"type":"string"},"RevisionEmployeeId":{"type":"integer"},"RevisionNumber":{"type":"integer"},"RevisionTerminal":{"type":"string"},"RevisionTime":{"type":"string","format":"date-time"},"SituationFoundSubtype":{"type":"string"},"SituationFoundType":{"type":"string"},"StartedTime":{"type":"string","format":"date-time"},"StatusCode":{"type":"integer"},"SubstatusCode":{"type":"integer"},"TotalAssignedUnits":{"type":"integer"},"Zone":{"type":"string"},"AgencyEventCustomData":{"type":"string"},"CommonEventCustomData":{"type":"string"},"PredefinedSupplementalInfo":{"type":"integer"},"UserDefinedSupplementalInfo":{"type":"integer"},"HasAlarmSounded":{"type":"boolean"}}}}}}]}},"400":{"description":"Arguments passed in were wrong or not accepted. Response will have more info"}},"security":[{"api_key":[]}]}},"/v1/Event/{AgencyEventId}/History":{"get":{"tags":["Event History"],"summary":"Returns the event history for a given AgencyEventId","description":"Gets Event history records","operationId":"GetEventHistoryById","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"},{"name":"OrderBy","in":"query","description":"The column to order by in the form of ColumnName:[asnd|desc]","required":false,"type":"string"},{"name":"Offset","in":"query","description":"Initial record offset to return. Must be 0 or greater","required":false,"type":"integer"},{"name":"Limit","in":"query","description":"Maximum number of records to return. Range n-n (Default is 100, minimum 100, maximum 1000)","required":false,"type":"integer"}],"responses":{"200":{"description":"Success","schema":{"allOf":[{"type":"object","properties":{"Links":{"type":"object","properties":{"first":{"type":"string"},"next":{"type":"string"},"previous":{"type":"string"},"last":{"type":"string"}}},"Count":{"type":"integer"},"Total":{"type":"integer"}}},{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"AgencyEventId":{"type":"string"},"SubtypeCode":{"type":"string"},"SubtypeCodeDesc":{"type":"string"},"TypeCode":{"type":"string"},"TypeCodeDesc":{"type":"string"},"AgencyId":{"type":"string"},"AlarmLevel":{"type":"integer"},"AppointmentAlarmSnooze":{"type":"string","format":"date-time"},"AppointmentEndTime":{"type":"string","format":"date-time"},"AppointmentStartTime":{"type":"string","format":"date-time"},"Attributes":{"type":"integer"},"Beat":{"type":"string"},"CallbackTime":{"type":"string","format":"date-time"},"ClosingComment":{"type":"string"},"ClosingEmployeeId":{"type":"string"},"ClosingTerminal":{"type":"string"},"ClosingTime":{"type":"string","format":"date-time"},"CreatedEmployeeId":{"type":"integer"},"CreatedTime":{"type":"string","format":"date-time"},"DispatchAssignedUnitId":{"type":"string"},"DispatchGroup":{"type":"string"},"District":{"type":"string"},"Esz":{"type":"integer"},"EstimatedArrivalTime":{"type":"integer"},"EventDescription":{"type":"string"},"GroupId":{"type":"string"},"GroupOrder":{"type":"integer"},"HeldForUnitId":{"type":"string"},"HoldTime":{"type":"string","format":"date-time"},"HoldType":{"type":"integer"},"InterCadExternalEventId":{"type":"string"},"IsClosingAllowed":{"type":"boolean"},"IsExemptEvent":{"type":"boolean"},"IsLateRun":{"type":"boolean"},"IsOpen":{"type":"boolean"},"IsReopened":{"type":"boolean"},"IsResponseTimeDown":{"type":"boolean"},"LastStatusChangeTime":{"type":"string","format":"date-time"},"Location":{"type":"object","properties":{"Area":{"type":"string"},"CrossStreet1":{"type":"string"},"CrossStreet2":{"type":"string"},"IsLocationVerified":{"type":"boolean"},"Latitude":{"type":"number","format":"double"},"Location":{"type":"string"},"LocationComment":{"type":"string"},"Longitude":{"type":"number","format":"double"},"Municipality":{"type":"string"},"ZipCode":{"type":"string"},"SpecialAddressId":{"type":"string"}}},"OriginalEmployeeId":{"type":"string"},"OriginalTerminal":{"type":"string"},"PendingAlarmTime":{"type":"string","format":"date-time"},"PrimaryEmployeeId":{"type":"integer"},"PrimaryUnitId":{"type":"string"},"Priority":{"type":"integer"},"PriorityChangedTime":{"type":"string","format":"date-time"},"ProQACaseId":{"type":"string"},"ProQACaseType":{"type":"string"},"RevisionEmployeeId":{"type":"integer"},"RevisionNumber":{"type":"integer"},"RevisionTerminal":{"type":"string"},"RevisionTime":{"type":"string","format":"date-time"},"SituationFoundSubtype":{"type":"string"},"SituationFoundType":{"type":"string"},"StartedTime":{"type":"string","format":"date-time"},"StatusCode":{"type":"integer"},"SubstatusCode":{"type":"integer"},"TotalAssignedUnits":{"type":"integer"},"Zone":{"type":"string"},"AgencyEventCustomData":{"type":"string"},"CommonEventCustomData":{"type":"string"},"PredefinedSupplementalInfo":{"type":"integer"},"UserDefinedSupplementalInfo":{"type":"integer"},"HasAlarmSounded":{"type":"boolean"}}}}}}]}},"400":{"description":"Arguments passed in were wrong or not accepted. Response will have more info"}},"security":[{"api_key":[]}]}},"/v1/Event/Create":{"post":{"tags":["Event Commands"],"summary":"Creates an event based on given parameters","description":"Creates an event based on given parameters","operationId":"CreateEvent","produces":["application/json"],"parameters":[{"name":"Body","in":"body","required":true,"schema":{"type":"object","properties":{"latitude":{"type":"number","format":"double","example":"34.698062"},"longitude":{"type":"number","format":"double","example":"-86.463481"},"locationString":{"type":"string"},"VerifyLocationExactMatch":{"type":"boolean"},"AlarmLevel":{"type":"integer"},"EventType":{"type":"string"},"EventSubType":{"type":"string"},"Description":{"type":"string"},"DefaultAgencyForDeployment":{"type":"string"},"DefaultDispatchGroupForDeployment":{"type":"string"},"Deployments":{"type":"array","items":{"type":"object","properties":{"agency":{"type":"string"},"remoteEventId":{"type":"string"},"alarmLevel":{"type":"integer"},"dispatchGroup":{"type":"string"},"lev2":{"type":"string"},"lev3":{"type":"string"},"lev4":{"type":"string"},"lev5":{"type":"string"},"esz":{"type":"integer"},"priority":{"type":"integer"},"eta":{"type":"integer"},"majorEvent":{"type":"string"},"eventType":{"type":"string"},"eventSubType":{"type":"string"}}}},"Calls":{"type":"array","items":{"type":"object","required":["callTime","isFirstCall"],"properties":{"callId":{"type":"string"},"isFirstCall":{"type":"boolean"},"callSource":{"type":"string"},"callTime":{"type":"string","format":"date-time"},"callerName":{"type":"string"},"callerAddress":{"type":"string"},"callerPhoneNumber":{"type":"string"},"latitude":{"type":"number","format":"double","example":"34.698062"},"longitude":{"type":"number","format":"double","example":"-86.463481"}}}},"Schedule":{"type":"object","properties":{"pickUpTime":{"type":"string","format":"date-time"},"dropOffTime":{"type":"string","format":"date-time"},"requestedTime":{"type":"string","format":"date-time"},"patientName":{"type":"string"},"unitId":{"type":"string"},"dropOffLocation":{"type":"string"}}},"SimpleComments":{"type":"array","items":{"type":"string"}}}}}],"responses":{"200":{"description":"Success","schema":{"type":"array","items":{"type":"object","required":["agencyEventId"],"properties":{"agencyEventId":{"type":"string","example":"P123456789"},"isRedacted":{"type":"boolean","description":"some event information has been redacted"},"agencyId":{"type":"string","example":"LMPD"},"commonEventId":{"type":"integer","example":"12345"},"dispatchGroup":{"type":"string","example":"METRO"},"typeCode":{"type":"string","example":"10-32"},"typeCodeDescription":{"type":"string","example":"shooting"},"subTypeCode":{"type":"string","example":"default"},"subTypeCodeDescription":{"type":"string","example":"domestic"},"latitude":{"type":"number","format":"double","example":"34.698062"},"longitude":{"type":"number","format":"double","example":"-86.463481"},"locationText":{"type":"string","example":"P123456789"},"statusCode":{"type":"integer"},"substatusCode":{"type":"integer"},"status":{"type":"string","example":"pending"},"description":{"type":"string"},"priority":{"type":"integer"},"isOpen":{"type":"boolean"},"totalStagingAreaCount":{"type":"integer"},"colorByPriority":{"type":"string","description":"rbg background color associated with the event's status","example":"rgb(12,12,34)"}}}}},"400":{"description":"Arguments passed in were wrong or not accepted. Response will have more info"}},"security":[{"api_key":[]}]}},"/v1/Event/CreateAdvised":{"post":{"tags":["Event Commands"],"summary":"Creates an event based on given parameters","description":"Creates an event based on given parameters","operationId":"CreateAdvisedEvent","produces":["application/json"],"parameters":[{"name":"ClosingComment","in":"query","description":"Comment to add as the event is closed","required":false,"type":"string"},{"name":"Dispositions","in":"query","description":"Comma separated list of Disposition code(s) to add to the event","required":false,"type":"array","items":{"type":"string"},"collectionFormat":"csv"},{"name":"Body","in":"body","required":true,"schema":{"type":"object","properties":{"latitude":{"type":"number","format":"double","example":"34.698062"},"longitude":{"type":"number","format":"double","example":"-86.463481"},"locationString":{"type":"string"},"VerifyLocationExactMatch":{"type":"boolean"},"AlarmLevel":{"type":"integer"},"EventType":{"type":"string"},"EventSubType":{"type":"string"},"Description":{"type":"string"},"DefaultAgencyForDeployment":{"type":"string"},"DefaultDispatchGroupForDeployment":{"type":"string"},"Deployments":{"type":"array","items":{"type":"object","properties":{"agency":{"type":"string"},"remoteEventId":{"type":"string"},"alarmLevel":{"type":"integer"},"dispatchGroup":{"type":"string"},"lev2":{"type":"string"},"lev3":{"type":"string"},"lev4":{"type":"string"},"lev5":{"type":"string"},"esz":{"type":"integer"},"priority":{"type":"integer"},"eta":{"type":"integer"},"majorEvent":{"type":"string"},"eventType":{"type":"string"},"eventSubType":{"type":"string"}}}},"Calls":{"type":"array","items":{"type":"object","required":["callTime","isFirstCall"],"properties":{"callId":{"type":"string"},"isFirstCall":{"type":"boolean"},"callSource":{"type":"string"},"callTime":{"type":"string","format":"date-time"},"callerName":{"type":"string"},"callerAddress":{"type":"string"},"callerPhoneNumber":{"type":"string"},"latitude":{"type":"number","format":"double","example":"34.698062"},"longitude":{"type":"number","format":"double","example":"-86.463481"}}}},"Schedule":{"type":"object","properties":{"pickUpTime":{"type":"string","format":"date-time"},"dropOffTime":{"type":"string","format":"date-time"},"requestedTime":{"type":"string","format":"date-time"},"patientName":{"type":"string"},"unitId":{"type":"string"},"dropOffLocation":{"type":"string"}}},"SimpleComments":{"type":"array","items":{"type":"string"}}}}}],"responses":{"200":{"description":"Success","schema":{"type":"array","items":{"type":"object","required":["agencyEventId"],"properties":{"agencyEventId":{"type":"string","example":"P123456789"},"isRedacted":{"type":"boolean","description":"some event information has been redacted"},"agencyId":{"type":"string","example":"LMPD"},"commonEventId":{"type":"integer","example":"12345"},"dispatchGroup":{"type":"string","example":"METRO"},"typeCode":{"type":"string","example":"10-32"},"typeCodeDescription":{"type":"string","example":"shooting"},"subTypeCode":{"type":"string","example":"default"},"subTypeCodeDescription":{"type":"string","example":"domestic"},"latitude":{"type":"number","format":"double","example":"34.698062"},"longitude":{"type":"number","format":"double","example":"-86.463481"},"locationText":{"type":"string","example":"P123456789"},"statusCode":{"type":"integer"},"substatusCode":{"type":"integer"},"status":{"type":"string","example":"pending"},"description":{"type":"string"},"priority":{"type":"integer"},"isOpen":{"type":"boolean"},"totalStagingAreaCount":{"type":"integer"},"colorByPriority":{"type":"string","description":"rbg background color associated with the event's status","example":"rgb(12,12,34)"}}}}},"400":{"description":"Arguments passed in were wrong or not accepted. Response will have more info"}},"security":[{"api_key":[]}]}},"/v1/Event/{AgencyEventId}/Reopen":{"post":{"tags":["Event Commands"],"summary":"Reopen a closed AgencyEvent","description":"Reopen a closed AgencyEvent","operationId":"Reopen","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"},{"name":"Comment","in":"query","description":"Comment to add while reopening","required":false,"type":"string"}],"responses":{"200":{"description":"Success"},"400":{"description":"Arguments passed in were wrong or not accepted. Response will have more info"},"401":{"description":"Unauthorized"},"404":{"description":"AgencyEvent was not found"}},"security":[{"api_key":[]}]}},"/v1/Event/{AgencyEventId}/ResultCode":{"get":{"tags":["Event"],"summary":"Returns detailed information about the Dispositions attached to the specified event id and have a result code defined.","description":"Returns detailed information about the Dispositions attached to the specified event id and have a result code defined.","operationId":"GetDispositionsWithResultCodeByAgencyEventId","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"}],"responses":{"200":{"description":"Success","schema":{"type":"array","items":{"type":"object","properties":{"agencyEventId":{"type":"string","example":"P123456789"},"caseId":{"type":"string"},"commonEventId":{"type":"integer","example":"12345"},"detailedEventTypeCode":{"type":"string","example":"10-199"},"dispositionNumber":{"type":"integer"},"dispositionTypeCode":{"type":"string","example":"10-199"},"isActive":{"type":"boolean"},"qualifier1":{"type":"string"},"qualifier2":{"type":"string"},"unitEmployeeId":{"type":"integer"},"unitId":{"type":"string"}}}}},"400":{"description":"Arguments passed in were wrong or not accepted. Response will have more info"},"404":{"description":"AgencyEvent Not Found"}},"security":[{"api_key":[]}]},"post":{"tags":["Event Commands"],"summary":"Assigns a result code to an agency event.","description":"Assign a result to an agency event.","operationId":"AssignResultCode","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"},{"name":"UnitId","in":"query","description":"ID of unit that reported disposition code","required":false,"type":"string"},{"name":"ResultCode","in":"query","description":"The result code to assign to the event","required":false,"type":"string"},{"name":"DetailedEventType","in":"query","description":"The detailed event type","required":false,"type":"string"},{"name":"Qualifier1","in":"query","description":"Qualifier1","required":false,"type":"string"},{"name":"Qualifier2","in":"query","description":"Qualifier2","required":false,"type":"string"},{"name":"LOIDate","in":"query","description":"The date until which this data will be available for LOI searches. The value defaults to current time(now). RFC 3339, section 5.6","required":false,"type":"string","format":"date"}],"responses":{"200":{"description":"Success"},"400":{"description":"Arguments passed in were wrong or not accepted. Response will have more info"},"404":{"description":"AgencyEvent was not found"}},"security":[{"api_key":[]}]}},"/v1/Event/{AgencyEventId}/Close":{"post":{"tags":["Event Commands"],"summary":"Close an event","description":"Close an event","operationId":"Close","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"},{"name":"AllowNoDispositionCode","in":"query","description":"no longer supported","required":false,"type":"boolean"},{"name":"Comment","in":"query","description":"Comment to add while closing the event","required":false,"type":"string"}],"responses":{"200":{"description":"Success"},"400":{"description":"Arguments passed in were wrong or not accepted. Response will have more info"},"404":{"description":"AgencyEvent was not found"}},"security":[{"api_key":[]}]}},"/v1/Event/{AgencyEventId}/Cancel":{"post":{"tags":["Event Commands"],"summary":"Cancel an event","description":"Cancel an event","operationId":"Cancel","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"},{"name":"Comment","in":"query","description":"Comment to add while closing the event","required":true,"type":"string"},{"name":"DispositionCodes","in":"query","description":"Disposition codes to assign to the AgencyEvent","required":false,"type":"array","items":{"type":"string"},"collectionFormat":"csv"}],"responses":{"200":{"description":"Success"},"400":{"description":"Arguments passed in were wrong or not accepted. Response will have more info"},"404":{"description":"AgencyEvent was not found"}},"security":[{"api_key":[]}]}},"/v1/Event/{AgencyEventId}/CrossReference":{"post":{"tags":["Event Commands"],"summary":"CrossReference an event","description":"CrossReference an event","operationId":"CrossReference","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"},{"name":"toAgencyEventId","in":"query","description":"The Agency Event Id to reference to","required":true,"type":"string"},{"name":"ReferenceType","in":"query","description":"What kind of cross reference is this?\n\nPossible Values:\n* Duplicate\n* Master\n* Outage\n* Primary\n* CrossReference","required":false,"type":"string","enum":["Duplicate","Master","Outage","Primary","CrossReference"]},{"name":"Status","in":"query","description":"The status of this cross reference\n\nPossible Values:\n* Active\n* Cancelled","required":false,"type":"string","enum":["Active","Cancelled"]}],"responses":{"200":{"description":"Success"},"400":{"description":"Arguments passed in were wrong or not accepted. Response will have more info"},"404":{"description":"AgencyEvent was not found"}},"security":[{"api_key":[]}]}},"/v1/Event/{AgencyEventId}/Transfer":{"post":{"tags":["Event Commands"],"summary":"Transfer an event from its source Agency to a new Destination Agency","description":"Transfer an event from its source Agency to a new Destination Agency","operationId":"Transfer","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"},{"name":"DispatchGroup","in":"query","description":"The dispatch Group to transfer too","required":false,"type":"string"},{"name":"Agency","in":"query","description":"The id of the destination Agency","required":false,"type":"string"},{"name":"Comment","in":"query","description":"A comment to add while transferring the event","required":false,"type":"string"}],"responses":{"200":{"description":"Returns the New AgencyEventId (if any)","schema":{"type":"string"}},"400":{"description":"Arguments passed in were wrong or not accepted. Response will have more info"},"404":{"description":"AgencyEvent was not found"}},"security":[{"api_key":[]}]}},"/v1/Event/{AgencyEventId}/Preempt":{"post":{"tags":["Event Commands"],"summary":"Preempt an Event","description":"Returns an event to Pending if it is in Dispatch Assign, Hold, AwaitingClosure, or AgreedResponse state","operationId":"Preempt","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"},{"name":"Comment","in":"query","description":"The status of this cross reference","required":false,"type":"string"}],"responses":{"200":{"description":"Command Successful"},"400":{"description":"Arguments passed in were wrong or not accepted. Response will have more info"},"404":{"description":"AgencyEvent was not found"}},"security":[{"api_key":[]}]}},"/v1/Event/{AgencyEventId}/Supplemental/Person":{"get":{"tags":["Supplemental Person"],"summary":"Return supplemental Person data related to this event.","description":"Return supplemental Person data related to this event. Is filtered by Agency","operationId":"GetAllPersonForAgencyEvent","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"}],"responses":{"200":{"description":"Success","schema":{"type":"array","items":{"type":"object","properties":{"age":{"type":"integer"},"availabilityTime":{"type":"string","format":"date-time"},"commonEventId":{"type":"integer","example":"12345"},"customData":{"type":"string"},"dateOfBirth":{"type":"string"},"eyeColor":{"type":"string"},"eyeColorCode":{"type":"string"},"hairColor":{"type":"string"},"hairColorCode":{"type":"string"},"height":{"type":"integer"},"informationScope":{"type":"string"},"isActive":{"type":"boolean"},"itemNumber":{"type":"integer"},"licenseNumber":{"type":"string"},"name":{"type":"string"},"race":{"type":"string"},"raceCode":{"type":"string"},"remarks":{"type":"string"},"sex":{"type":"string"},"sexCode":{"type":"string"},"socialSecurityNumber":{"type":"string"},"state":{"type":"string"},"stateCode":{"type":"string"},"unitId":{"type":"string"},"weight":{"type":"integer"}}}}},"404":{"description":"AgencyEvent Not Found"}},"security":[{"api_key":[]}]},"put":{"tags":["Supplemental Person"],"summary":"Add a CommonEventPerson to an event","description":"Add a CommonEventPerson to an event","operationId":"AddSuppPerson","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"},{"name":"Body","in":"body","required":true,"schema":{"type":"object","properties":{"Age":{"type":"integer"},"DateOfBirth":{"type":"string"},"EyeColor":{"type":"string"},"HairColor":{"type":"string"},"Height":{"type":"integer"},"LicenseNumber":{"type":"string"},"Name":{"type":"string"},"Race":{"type":"string"},"Remarks":{"type":"string"},"Sex":{"type":"string"},"SocialSecurityNumber":{"type":"string"},"State":{"type":"string"},"UnitId":{"type":"string"},"Weight":{"type":"integer"},"customData":{"type":"array","description":"This will overwrite all existing custom data.","items":{"type":"object","properties":{"Name":{"type":"string"},"Value":{"type":"string"}}}}}}}],"responses":{"200":{"description":"Success","schema":{"type":"object","properties":{"EventId":{"type":"string"},"SupplementalRowId":{"type":"integer"}}}},"404":{"description":"AgencyEvent Not Found"}},"security":[{"api_key":[]}]}},"/v1/Event/{AgencyEventId}/Supplemental/Person/{ItemNumber}":{"get":{"tags":["Supplemental Person"],"summary":"Returns a specific Common Event person","description":"eturns a specific Common Event person","operationId":"GetPersonById","produces":["application/json"],"parameters":[{"name":"ItemNumber","in":"path","description":"Unique Id of the supplemental Item","required":true,"type":"integer"},{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"}],"responses":{"200":{"description":"Success","schema":{"type":"object","properties":{"age":{"type":"integer"},"availabilityTime":{"type":"string","format":"date-time"},"commonEventId":{"type":"integer","example":"12345"},"customData":{"type":"string"},"dateOfBirth":{"type":"string"},"eyeColor":{"type":"string"},"eyeColorCode":{"type":"string"},"hairColor":{"type":"string"},"hairColorCode":{"type":"string"},"height":{"type":"integer"},"informationScope":{"type":"string"},"isActive":{"type":"boolean"},"itemNumber":{"type":"integer"},"licenseNumber":{"type":"string"},"name":{"type":"string"},"race":{"type":"string"},"raceCode":{"type":"string"},"remarks":{"type":"string"},"sex":{"type":"string"},"sexCode":{"type":"string"},"socialSecurityNumber":{"type":"string"},"state":{"type":"string"},"stateCode":{"type":"string"},"unitId":{"type":"string"},"weight":{"type":"integer"}}}},"404":{"description":"AgencyEvent or ItemNumber Not Found"}},"security":[{"api_key":[]}]},"post":{"tags":["Supplemental Person"],"summary":"Update a specific Supplemental Person","description":"Update a specific Supplemental Person","operationId":"UpdatePersonById","produces":["application/json"],"parameters":[{"name":"ItemNumber","in":"path","description":"Unique Id of the supplemental Item","required":true,"type":"integer"},{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"},{"name":"Body","in":"body","required":true,"schema":{"type":"object","properties":{"Age":{"type":"integer"},"DateOfBirth":{"type":"string"},"EyeColor":{"type":"string"},"HairColor":{"type":"string"},"Height":{"type":"integer"},"LicenseNumber":{"type":"string"},"Name":{"type":"string"},"Race":{"type":"string"},"Remarks":{"type":"string"},"Sex":{"type":"string"},"SocialSecurityNumber":{"type":"string"},"State":{"type":"string"},"UnitId":{"type":"string"},"Weight":{"type":"integer"},"customData":{"type":"array","description":"This will overwrite all existing custom data.","items":{"type":"object","properties":{"Name":{"type":"string"},"Value":{"type":"string"}}}}}}}],"responses":{"200":{"description":"Success"},"404":{"description":"AgencyEvent or ItemNumber Not Found"}},"security":[{"api_key":[]}]}},"/v1/Event/{AgencyEventId}/Supplemental/Vehicle":{"get":{"tags":["Supplemental Vehicle"],"summary":"Return supplemental Vehicle data related to this event.","description":"Return supplemental Vehicle data related to this event. Is filtered by Agency","operationId":"GetAllVehicleForAgencyEvent","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"}],"responses":{"200":{"description":"Success","schema":{"type":"array","items":{"type":"object","properties":{"availabilityTime":{"type":"string","format":"date-time"},"color":{"type":"string"},"colorCode":{"type":"string"},"commonEventId":{"type":"integer","example":"12345"},"customData":{"type":"string"},"informationScope":{"type":"string"},"isActive":{"type":"boolean"},"itemNumber":{"type":"integer"},"licensePlateNumber":{"type":"string"},"licenseType":{"type":"string"},"licenseTypeCode":{"type":"string"},"licenseYear":{"type":"string"},"make":{"type":"string"},"makeCode":{"type":"string"},"model":{"type":"string"},"modelYear":{"type":"integer"},"remarks":{"type":"string"},"state":{"type":"string"},"stateCode":{"type":"string"},"unitId":{"type":"string"},"vin":{"type":"string"}}}}},"404":{"description":"AgencyEvent Not Found"}},"security":[{"api_key":[]}]},"put":{"tags":["Supplemental Vehicle"],"summary":"Add a CommonEventVehicle to an event","description":"Add a CommonEventVehicle to an event","operationId":"AddSuppVehicle","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"},{"name":"Body","in":"body","required":true,"schema":{"type":"object","properties":{"Color":{"type":"string"},"LicensePlateNumber":{"type":"string"},"LicenseType":{"type":"string"},"LicenseYear":{"type":"string"},"Make":{"type":"string"},"Model":{"type":"string"},"ModelYear":{"type":"integer"},"Remarks":{"type":"string"},"State":{"type":"string"},"UnitId":{"type":"string"},"Vin":{"type":"string"},"customData":{"type":"array","description":"This will overwrite all existing custom data.","items":{"type":"object","properties":{"Name":{"type":"string"},"Value":{"type":"string"}}}}}}}],"responses":{"200":{"description":"Success","schema":{"type":"object","properties":{"EventId":{"type":"string"},"SupplementalRowId":{"type":"integer"}}}},"404":{"description":"AgencyEvent Not Found"}},"security":[{"api_key":[]}]}},"/v1/Event/{AgencyEventId}/Supplemental/Vehicle/{ItemNumber}":{"get":{"tags":["Supplemental Vehicle"],"summary":"Returns a specific Common Event Vehicle","description":"Returns a specific Common Event Vehicle","operationId":"GetVehicleById","produces":["application/json"],"parameters":[{"name":"ItemNumber","in":"path","description":"Unique Id of the supplemental Item","required":true,"type":"integer"},{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"}],"responses":{"200":{"description":"Success","schema":{"type":"object","properties":{"availabilityTime":{"type":"string","format":"date-time"},"color":{"type":"string"},"colorCode":{"type":"string"},"commonEventId":{"type":"integer","example":"12345"},"customData":{"type":"string"},"informationScope":{"type":"string"},"isActive":{"type":"boolean"},"itemNumber":{"type":"integer"},"licensePlateNumber":{"type":"string"},"licenseType":{"type":"string"},"licenseTypeCode":{"type":"string"},"licenseYear":{"type":"string"},"make":{"type":"string"},"makeCode":{"type":"string"},"model":{"type":"string"},"modelYear":{"type":"integer"},"remarks":{"type":"string"},"state":{"type":"string"},"stateCode":{"type":"string"},"unitId":{"type":"string"},"vin":{"type":"string"}}}},"404":{"description":"AgencyEvent or ItemNumber Not Found"}},"security":[{"api_key":[]}]},"post":{"tags":["Supplemental Vehicle"],"summary":"Update a specific Supplemental Vehicle","description":"Update a specific Supplemental Vehicle","operationId":"UpdateVehicleById","produces":["application/json"],"parameters":[{"name":"ItemNumber","in":"path","description":"Unique Id of the supplemental Item","required":true,"type":"integer"},{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"},{"name":"Body","in":"body","required":true,"schema":{"type":"object","properties":{"Color":{"type":"string"},"LicensePlateNumber":{"type":"string"},"LicenseType":{"type":"string"},"LicenseYear":{"type":"string"},"Make":{"type":"string"},"Model":{"type":"string"},"ModelYear":{"type":"integer"},"Remarks":{"type":"string"},"State":{"type":"string"},"UnitId":{"type":"string"},"Vin":{"type":"string"},"customData":{"type":"array","description":"This will overwrite all existing custom data.","items":{"type":"object","properties":{"Name":{"type":"string"},"Value":{"type":"string"}}}}}}}],"responses":{"200":{"description":"Success"},"404":{"description":"AgencyEvent or ItemNumber Not Found"}},"security":[{"api_key":[]}]}},"/v1/Event/{AgencyEventId}/Supplemental/Property":{"get":{"tags":["Supplemental Property"],"summary":"Return supplemental Property data related to this event.","description":"Return supplemental Property data related to this event. Is filtered by Agency","operationId":"GetAllPropertyForAgencyEvent","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"}],"responses":{"200":{"description":"Success","schema":{"type":"array","items":{"type":"object","properties":{"availabilityTime":{"type":"string","format":"date-time"},"commonEventId":{"type":"integer","example":"12345"},"customData":{"type":"string"},"informationScope":{"type":"string"},"isActive":{"type":"boolean"},"itemNumber":{"type":"integer"},"monetaryValue":{"type":"string"},"propertyDesc":{"type":"string"},"remarks":{"type":"string"},"serialNumber":{"type":"string"},"unitId":{"type":"string"}}}}},"404":{"description":"AgencyEvent Not Found"}},"security":[{"api_key":[]}]},"put":{"tags":["Supplemental Property"],"summary":"Add a CommonEventProperty to an event","description":"Add a CommonEventProperty to an event","operationId":"AddSuppProperty","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"},{"name":"Body","in":"body","required":true,"schema":{"type":"object","properties":{"MonetaryValue":{"type":"string"},"PropertyDesc":{"type":"string"},"Remarks":{"type":"string"},"SerialNumber":{"type":"string"},"UnitId":{"type":"string"},"customData":{"type":"array","description":"This will overwrite all existing custom data.","items":{"type":"object","properties":{"Name":{"type":"string"},"Value":{"type":"string"}}}}}}}],"responses":{"200":{"description":"Success","schema":{"type":"object","properties":{"EventId":{"type":"string"},"SupplementalRowId":{"type":"integer"}}}},"404":{"description":"AgencyEvent Not Found"}},"security":[{"api_key":[]}]}},"/v1/Event/{AgencyEventId}/Supplemental/Property/{ItemNumber}":{"get":{"tags":["Supplemental Property"],"summary":"Returns a specific Common Event Property","description":"Returns a specific Common Event Property","operationId":"GetPropertyById","produces":["application/json"],"parameters":[{"name":"ItemNumber","in":"path","description":"Unique Id of the supplemental Item","required":true,"type":"integer"},{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"}],"responses":{"200":{"description":"Success","schema":{"type":"object","properties":{"availabilityTime":{"type":"string","format":"date-time"},"commonEventId":{"type":"integer","example":"12345"},"customData":{"type":"string"},"informationScope":{"type":"string"},"isActive":{"type":"boolean"},"itemNumber":{"type":"integer"},"monetaryValue":{"type":"string"},"propertyDesc":{"type":"string"},"remarks":{"type":"string"},"serialNumber":{"type":"string"},"unitId":{"type":"string"}}}},"404":{"description":"AgencyEvent or ItemNumber Not Found"}},"security":[{"api_key":[]}]},"post":{"tags":["Supplemental Property"],"summary":"Update a specific Supplemental Property","description":"Update a specific Supplemental Property","operationId":"UpdatePropertyById","produces":["application/json"],"parameters":[{"name":"ItemNumber","in":"path","description":"Unique Id of the supplemental Item","required":true,"type":"integer"},{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"},{"name":"Body","in":"body","required":true,"schema":{"type":"object","properties":{"MonetaryValue":{"type":"string"},"PropertyDesc":{"type":"string"},"Remarks":{"type":"string"},"SerialNumber":{"type":"string"},"UnitId":{"type":"string"},"customData":{"type":"array","description":"This will overwrite all existing custom data.","items":{"type":"object","properties":{"Name":{"type":"string"},"Value":{"type":"string"}}}}}}}],"responses":{"200":{"description":"Success"},"404":{"description":"AgencyEvent or ItemNumber Not Found"}},"security":[{"api_key":[]}]}},"/v1/Event/{AgencyEventId}/Supplemental/AntiBias":{"get":{"tags":["Supplemental AntiBias"],"summary":"Return supplemental AntiBias data related to this event.","description":"Return supplemental AntiBias data related to this event. Is filtered by Agency","operationId":"GetAllAntiBiasForAgencyEvent","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"}],"responses":{"200":{"description":"Success","schema":{"type":"array","items":{"type":"object","properties":{"actionsTaken":{"type":"string"},"age":{"type":"integer"},"availabilityTime":{"type":"string","format":"date-time"},"commonEventId":{"type":"integer","example":"12345"},"contrabandDiscovered":{"type":"string"},"customData":{"type":"string"},"informationScope":{"type":"string"},"isActive":{"type":"boolean"},"itemNumber":{"type":"integer"},"location":{"type":"string","example":"305 Intergraph Way, Madison, AL 35758"},"propertySeized":{"type":"string"},"race":{"type":"string"},"reasonsForStop":{"type":"string"},"remarks":{"type":"string"},"reportTime":{"type":"string","format":"date-time"},"searchBasis":{"type":"string"},"seizureBasis":{"type":"string"},"sex":{"type":"string"},"unitId":{"type":"string"},"wasConsentGiven":{"type":"boolean"},"wasConsentRequested":{"type":"boolean"},"wasSearched":{"type":"boolean"}}}}},"404":{"description":"AgencyEvent Not Found"}},"security":[{"api_key":[]}]},"put":{"tags":["Supplemental AntiBias"],"summary":"Add a CommonEventAntiBias to an event","description":"Add a CommonEventAntiBias to an event","operationId":"AddSuppAntiBias","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"},{"name":"Body","in":"body","required":true,"schema":{"type":"object","properties":{"ActionsTaken":{"type":"string"},"Age":{"type":"integer"},"ContrabandDiscovered":{"type":"string"},"Location":{"type":"string"},"PropertySeized":{"type":"string"},"Race":{"type":"string"},"ReasonsForStop":{"type":"string"},"Remarks":{"type":"string"},"ReportTime":{"type":"string"},"SearchBasis":{"type":"string"},"SeizureBasis":{"type":"string"},"Sex":{"type":"string"},"UnitId":{"type":"string"},"WasConsentGiven":{"type":"boolean"},"WasConsentRequested":{"type":"boolean"},"WasSearched":{"type":"boolean"},"customData":{"type":"array","description":"This will overwrite all existing custom data.","items":{"type":"object","properties":{"Name":{"type":"string"},"Value":{"type":"string"}}}}}}}],"responses":{"200":{"description":"Success","schema":{"type":"object","properties":{"EventId":{"type":"string"},"SupplementalRowId":{"type":"integer"}}}},"404":{"description":"AgencyEvent Not Found"}},"security":[{"api_key":[]}]}},"/v1/Event/{AgencyEventId}/Supplemental/AntiBias/{ItemNumber}":{"get":{"tags":["Supplemental AntiBias"],"summary":"Returns a specific Common Event AntiBias","description":"Returns a specific Common Event AntiBias","operationId":"GetAntiBiasById","produces":["application/json"],"parameters":[{"name":"ItemNumber","in":"path","description":"Unique Id of the supplemental Item","required":true,"type":"integer"},{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"}],"responses":{"200":{"description":"Success","schema":{"type":"object","properties":{"actionsTaken":{"type":"string"},"age":{"type":"integer"},"availabilityTime":{"type":"string","format":"date-time"},"commonEventId":{"type":"integer","example":"12345"},"contrabandDiscovered":{"type":"string"},"customData":{"type":"string"},"informationScope":{"type":"string"},"isActive":{"type":"boolean"},"itemNumber":{"type":"integer"},"location":{"type":"string","example":"305 Intergraph Way, Madison, AL 35758"},"propertySeized":{"type":"string"},"race":{"type":"string"},"reasonsForStop":{"type":"string"},"remarks":{"type":"string"},"reportTime":{"type":"string","format":"date-time"},"searchBasis":{"type":"string"},"seizureBasis":{"type":"string"},"sex":{"type":"string"},"unitId":{"type":"string"},"wasConsentGiven":{"type":"boolean"},"wasConsentRequested":{"type":"boolean"},"wasSearched":{"type":"boolean"}}}},"404":{"description":"AgencyEvent or ItemNumber Not Found"}},"security":[{"api_key":[]}]},"post":{"tags":["Supplemental AntiBias"],"summary":"Update a specific Supplemental AntiBias","description":"Update a specific Supplemental AntiBias","operationId":"UpdateAntiBiasById","produces":["application/json"],"parameters":[{"name":"ItemNumber","in":"path","description":"Unique Id of the supplemental Item","required":true,"type":"integer"},{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"},{"name":"Body","in":"body","required":true,"schema":{"type":"object","properties":{"ActionsTaken":{"type":"string"},"Age":{"type":"integer"},"ContrabandDiscovered":{"type":"string"},"Location":{"type":"string"},"PropertySeized":{"type":"string"},"Race":{"type":"string"},"ReasonsForStop":{"type":"string"},"Remarks":{"type":"string"},"ReportTime":{"type":"string"},"SearchBasis":{"type":"string"},"SeizureBasis":{"type":"string"},"Sex":{"type":"string"},"UnitId":{"type":"string"},"WasConsentGiven":{"type":"boolean"},"WasConsentRequested":{"type":"boolean"},"WasSearched":{"type":"boolean"},"customData":{"type":"array","description":"This will overwrite all existing custom data.","items":{"type":"object","properties":{"Name":{"type":"string"},"Value":{"type":"string"}}}}}}}],"responses":{"200":{"description":"Success"},"404":{"description":"AgencyEvent or ItemNumber Not Found"}},"security":[{"api_key":[]}]}},"/v1/Event/{AgencyEventId}/Supplemental/Contact":{"get":{"tags":["Supplemental Contact"],"summary":"Return supplemental Contact data related to this event.","description":"Return supplemental Contact data related to this event. Is filtered by Agency","operationId":"GetAllContactForAgencyEvent","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"}],"responses":{"200":{"description":"Success","schema":{"type":"array","items":{"type":"object","properties":{"availabilityTime":{"type":"string","format":"date-time"},"commonEventId":{"type":"integer","example":"12345"},"contactDate":{"type":"string"},"contactName":{"type":"string"},"contactPhone":{"type":"string"},"contactPriority":{"type":"integer"},"contactStreetAddress":{"type":"string"},"contactTime":{"type":"string"},"customData":{"type":"string"},"informationScope":{"type":"string"},"isActive":{"type":"boolean"},"itemNumber":{"type":"integer"}}}}},"404":{"description":"AgencyEvent Not Found"}},"security":[{"api_key":[]}]},"put":{"tags":["Supplemental Contact"],"summary":"Add a CommonEventContact to an event","description":"Add a CommonEventContact to an event","operationId":"AddSuppContact","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"},{"name":"Body","in":"body","required":true,"schema":{"type":"object","properties":{"ContactDate":{"type":"string"},"ContactName":{"type":"string"},"ContactPhone":{"type":"string"},"ContactPriority":{"type":"integer"},"ContactStreetAddress":{"type":"string"},"ContactTime":{"type":"string"},"customData":{"type":"array","description":"This will overwrite all existing custom data.","items":{"type":"object","properties":{"Name":{"type":"string"},"Value":{"type":"string"}}}}}}}],"responses":{"200":{"description":"Success","schema":{"type":"object","properties":{"EventId":{"type":"string"},"SupplementalRowId":{"type":"integer"}}}},"404":{"description":"AgencyEvent Not Found"}},"security":[{"api_key":[]}]}},"/v1/Event/{AgencyEventId}/Supplemental/Contact/{ItemNumber}":{"get":{"tags":["Supplemental Contact"],"summary":"Returns a specific Common Event Contact","description":"Returns a specific Common Event Contact","operationId":"GetContactById","produces":["application/json"],"parameters":[{"name":"ItemNumber","in":"path","description":"Unique Id of the supplemental Item","required":true,"type":"integer"},{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"}],"responses":{"200":{"description":"Success","schema":{"type":"object","properties":{"availabilityTime":{"type":"string","format":"date-time"},"commonEventId":{"type":"integer","example":"12345"},"contactDate":{"type":"string"},"contactName":{"type":"string"},"contactPhone":{"type":"string"},"contactPriority":{"type":"integer"},"contactStreetAddress":{"type":"string"},"contactTime":{"type":"string"},"customData":{"type":"string"},"informationScope":{"type":"string"},"isActive":{"type":"boolean"},"itemNumber":{"type":"integer"}}}},"404":{"description":"AgencyEvent or ItemNumber Not Found"}},"security":[{"api_key":[]}]},"post":{"tags":["Supplemental Contact"],"summary":"Update a specific Supplemental Contact","description":"Update a specific Supplemental Contact","operationId":"UpdateContactById","produces":["application/json"],"parameters":[{"name":"ItemNumber","in":"path","description":"Unique Id of the supplemental Item","required":true,"type":"integer"},{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"},{"name":"Body","in":"body","required":true,"schema":{"type":"object","properties":{"ContactDate":{"type":"string"},"ContactName":{"type":"string"},"ContactPhone":{"type":"string"},"ContactPriority":{"type":"integer"},"ContactStreetAddress":{"type":"string"},"ContactTime":{"type":"string"},"customData":{"type":"array","description":"This will overwrite all existing custom data.","items":{"type":"object","properties":{"Name":{"type":"string"},"Value":{"type":"string"}}}}}}}],"responses":{"200":{"description":"Success"},"404":{"description":"AgencyEvent or ItemNumber Not Found"}},"security":[{"api_key":[]}]}},"/v1/Event/{AgencyEventId}/Supplemental/Boat":{"get":{"tags":["Supplemental Boat"],"summary":"Return supplemental Boat data related to this event.","description":"Return supplemental Boat data related to this event. Is filtered by Agency","operationId":"GetAllBoatForAgencyEvent","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"}],"responses":{"200":{"description":"Success","schema":{"type":"array","items":{"type":"object","properties":{"availabilityTime":{"type":"string","format":"date-time"},"commonEventId":{"type":"integer","example":"12345"},"customData":{"type":"string"},"hullNumber":{"type":"string"},"idNumber":{"type":"string"},"informationScope":{"type":"string"},"isActive":{"type":"boolean"},"itemNumber":{"type":"integer"},"jurisdiction":{"type":"string"},"make":{"type":"string"},"registrationNumber":{"type":"string"},"remarks":{"type":"string"},"unitId":{"type":"string"}}}}},"404":{"description":"AgencyEvent Not Found"}},"security":[{"api_key":[]}]},"put":{"tags":["Supplemental Boat"],"summary":"Add a CommonEventBoat to an event","description":"Add a CommonEventBoat to an event","operationId":"AddSuppBoat","produces":["application/json"],"parameters":[{"name":"AgencyEventId","in":"path","description":"Unique Id of the AgencyEvent","required":true,"type":"string"},{"name":"Body","in":"body","required":true,"schema":{"type":"object","properties":{"HullNumber":{"type":"string"},"IdNumber":{"type":"string"},"Jurisdiction":{"type":"string"},"Make":{"type":"string"},"RegistrationNumber":{"type":"string"},"Remarks":{"type":"string"},"UnitId":{"type":"string"},"customData":{"type":"array","description":"This will overwrite all existing custom data.","items":{"type":"object","pro
[...]
